# module Kramdown

TODO: use [[:alpha:]] in all regexp to allow parsing of international values in 1.9.1 NOTE: use @src.pre_match only before other check/match?/… operations, otherwise the content is changed

This file is based on code originally from the Stringex library and needs the data files from Stringex to work correctly.

### Constants

VERSION

  The kramdown version.

### Public Class Methods

data_dir() click to toggle source

Return the data directory for kramdown.

       # File lib/kramdown/document.rb
    48 def self.data_dir
    49   unless defined?(@data_dir)
    50     require 'rbconfig'
    51     @data_dir = File.expand_path(File.join(File.dirname(__FILE__), '..', '..', 'data', 'kramdown'))
    52     @data_dir = File.expand_path(File.join(RbConfig::CONFIG["datadir"], "kramdown")) unless File.exist?(@data_dir)
    53     raise "kramdown data directory not found! This is a bug, please report it!" unless File.directory?(@data_dir)
    54   end
    55   @data_dir
    56 end